package com.badbuta.learnspringbootrestfulsqlite.services;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.badbuta.learnspringbootrestfulsqlite.entities.User;
import com.badbuta.learnspringbootrestfulsqlite.mapper.UserMapper;

@Service
public class UserService {
    @Autowired
    UserMapper userMapper;

    public int insertUser(User user) {
        int insteredUserId = userMapper.insertUser(user);
        return insteredUserId;
    }

    public User getUserById(int id) {
        return userMapper.getUserById(id);
    }

    public List<User> getUsers() {
        // Map<String, User> users = userMapper.getUsers();
        // return users.values().toArray(new User[0]);
        return userMapper.getUsers();
    }
}
